OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
PTKernel
PShort

# PShort_VArrayNodeOfFieldOfHArray2OfShortReal Class Reference

`#include <PShort_VArrayNodeOfFieldOfHArray2OfShortReal.hxx>`

Inheritance diagram for PShort_VArrayNodeOfFieldOfHArray2OfShortReal:

[legend]

## Public Member Functions
Standard_EXPORT | PShort_VArrayNodeOfFieldOfHArray2OfShortReal ()
Standard_EXPORT | PShort_VArrayNodeOfFieldOfHArray2OfShortReal (const Standard_ShortReal &aValue)
Standard_EXPORT void | SetValue (const Standard_ShortReal &aValue)
Standard_EXPORT Standard_Address | Value () const
| PShort_VArrayNodeOfFieldOfHArray2OfShortReal (const Storage_stCONSTclCOM &a)
Standard_ShortReal | _CSFDB_GetPShort_VArrayNodeOfFieldOfHArray2OfShortRealmyValue () const
void | _CSFDB_SetPShort_VArrayNodeOfFieldOfHArray2OfShortRealmyValue (const Standard_ShortReal p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Standard_ShortReal | myValue

## Constructor & Destructor Documentation

Standard_EXPORT PShort_VArrayNodeOfFieldOfHArray2OfShortReal::PShort_VArrayNodeOfFieldOfHArray2OfShortReal | ( |  | ) |

Standard_EXPORT PShort_VArrayNodeOfFieldOfHArray2OfShortReal::PShort_VArrayNodeOfFieldOfHArray2OfShortReal | ( | const Standard_ShortReal & | aValue | ) |

PShort_VArrayNodeOfFieldOfHArray2OfShortReal::PShort_VArrayNodeOfFieldOfHArray2OfShortReal | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

Standard_ShortReal PShort_VArrayNodeOfFieldOfHArray2OfShortReal::_CSFDB_GetPShort_VArrayNodeOfFieldOfHArray2OfShortRealmyValue | ( |  | ) | const`[inline]`

void PShort_VArrayNodeOfFieldOfHArray2OfShortReal::_CSFDB_SetPShort_VArrayNodeOfFieldOfHArray2OfShortRealmyValue | ( | const Standard_ShortReal | p | ) | `[inline]`

Standard_EXPORT const PShort_VArrayNodeOfFieldOfHArray2OfShortReal::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PStandard_ArrayNode.

Standard_EXPORT void PShort_VArrayNodeOfFieldOfHArray2OfShortReal::SetValue | ( | const Standard_ShortReal & | aValue | ) |

Standard_EXPORT Standard_Address PShort_VArrayNodeOfFieldOfHArray2OfShortReal::Value | ( |  | ) | const

## Field Documentation

Standard_ShortReal PShort_VArrayNodeOfFieldOfHArray2OfShortReal::myValue`[private]`

The documentation for this class was generated from the following file:

- PShort_VArrayNodeOfFieldOfHArray2OfShortReal.hxx